from src.batch.ultmarc.utmp_tables.tables.ultmarc_table import UltmarcTable


class ComRehabili(UltmarcTable):
    """レイアウト区分027: COM_疾患別リハビリテーション科"""
    maint_flag: str      # 修正区分
    rehabili_cd: str     # 疾患別リハビリコード
    rehabili_name: str   # リハビリテーション名称（漢字）

    def __init__(self, record: list[str]):
        super().__init__(record)
        self.maint_flag = record[2]
        self.rehabili_cd = record[1]
        self.rehabili_name = record[5]
